(* prod a b = a fois b pour b entier positif *)
let rec prod (a: float) (b: int) : float =
	if b = 0 then 0.
	else prod a (b-1) +. a

(* reste a b = a modulo b
   b doit être non-nul *)
let rec reste (a: int) (b: int) : int =
	if a < b then a 
	else reste (a-b) b

(* affiche les chiffres de n sur une ligne chacun *)
let rec decomp (n: int) : unit =
	if n < 10 then begin
		print_int n;
		print_newline ()
	end else begin
		decomp (n/10);
		print_int (n mod 10);
		print_newline ()
	end

(* Renvoie le n-ème terme de la suite de fibonacci avec u0 = a, u1 = b *)
let rec fibo (a: int) (b: int) (n: int) : int =
	if n = 0 then
		a 
	else
		fibo b (a+b) (n-1) 

